image: ubuntu

pages:
  script:
  - cd docs/
  - apt update && apt install -y git doxygen python3-pip
  - git clone git://github.com/mosra/m.css
  - pip3 install jinja2 Pygments
  - ./m.css/documentation/doxygen.py ./Doxyfile-mcss
  - mv ./html ../public
  artifacts:
    paths:
    - public
  only:
  - master
